
#include <stdio.h>
#include <windows.h>
#include <list>
#include <d3d9.h>
#include <d3dx9.h>
#define DIRECTINPUT_VERSION 0x0800
#include <dinput.h>
using namespace std;

#define SHOW(str) MessageBox(NULL,str,__FUNCSIG__,MB_OK)
#define SHOWINT(num) \
{ \
	char buffer[256]; \
	sprintf(buffer,#num ": %i",num); \
	MessageBox(NULL,buffer,__FUNCSIG__,MB_OK); \
} 
